Subject: bug#67586: guix package: error: package [email-masked] does not support x86_64-linux

From: Nils Landt <[email-masked]>
Date: Thu, 7 Dec 2023 09:00:55 +0100 (CET)

> Ludovic Courtès <[email-masked]> hat am 06.12.2023 23:58 CET geschrieben:
> 
>  
> Hi,
> 
> Nils Landt <[email-masked]> skribis:
> 
> > I use guix home for almost everything, but I have installed glibc-locales in my "regular" guix (just by running guix package install glibc-locales).
> > Now, running guix package --upgrade fails with:
> > guix package: error: package [email-masked] does not support x86_64-linux
> 
> Fixed with 4a6cef9d66ff26e96d63f2f1f886b8212154ca00.
> 
> The problem was that [email-masked] is marked as supported for
> i586-gnu only (that’s GNU/Hurd).

Thank you for the quick fix! 
But isn't the the real bug that guix package (--install, --upgrade) consider an unsupported package as the version to install / upgrade to? Expected behaviour for me would be that it checks for the newest version that can actually be installed on the architecture.

> The workaround on GNU/Linux would have been to run:
> 
>   guix install [email-masked]

Is this version pin persisted anywhere? Because I executed that, and --upgrade still tried tried to install 2.37.